<nav class="navbar navbar-expand-lg navbar-light bg-dark border-bottom">
	<h2 class="page-title text-light">Authors</h2>
</nav>

<div class="container-fluid">
	<div class="py-3 float-left search">
		<input type="text" class="form-control search-input" [(ngModel)]="idToSearch" placeholder="Search by id">
	</div>
	<div class="py-3 mx-3 float-left search">
		<a (click)="searchById(idToSearch)" class="pl-3 btn btn-primary text-light">Search</a>
	</div>
	<div class="py-3 mr-3 float-left search">
		<a (click)="clearSearch()" class="pl-3 btn btn-danger text-light">Clear</a>
	</div>

	<div>
		<table class="table table-bordered">
			<thead class="thead-dark">
				<tr>
					<th>Id</th>
					<th>First name</th>
					<th>Last name</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody *ngIf="authors">
				<tr *ngFor="let author of authors">
					<td>{{ author.id }}</td>
					<td>{{ author.firstName }}</td>
					<td>{{ author.lastName }}</td>
					<td>
						<a style="cursor: pointer;" (click)="editAuthor(author)">
							<clr-icon shape="note" size="30"></clr-icon>
						</a>
						<a style="cursor: pointer;" (click)="removeAuthor(author)">
							<clr-icon shape="trash" size="30"></clr-icon>
						</a>
					</td>
				</tr>
			</tbody>
		</table>

		<h4 class="form-group">Add/Edit Author</h4>
		<form class="w-75" (ngSubmit)="submitAuthor()">
			<div class="form-group row">
				<label for="firstName" class="col-sm-2 col-form-label">First Name</label>
				<div class="col-sm-10">
					<input type="text" class="form-control" id="firstName" [(ngModel)]="authorForm.firstName" [ngModelOptions]="{standalone: true}">
				</div>
			</div>
			<div class="form-group row">
				<label for="lastName" class="col-sm-2 col-form-label">Last Name</label>
				<div class="col-sm-10">
					<input type="text" class="form-control" id="lastName" [(ngModel)]="authorForm.lastName" [ngModelOptions]="{standalone: true}">
				</div>
			</div>
			<button type="submit" class="btn btn-primary">Submit</button>
			<a (click)="clearForm()" class="m-3 btn btn-danger text-light" [ngClass]="{'disabled': disabled}">Cancel edit</a>
		</form>
	</div>
</div>